librime: utf8::iterator< octet_iterator > Class Template Reference

| librime 1.2 Rime Input Method Engine, the core library

Public Types | Public Member Functions | List of all members
utf8::iterator< octet_iterator > Class Template Reference

`#include <checked.h>`

## Public Types
typedef uint32_t | value_type
typedef uint32_t * | pointer
typedef uint32_t & | reference
typedef std::ptrdiff_t | difference_type
typedef std::bidirectional_iterator_tag | iterator_category

## Public Member Functions
| iterator ()
| iterator (const octet_iterator &octet_it, const octet_iterator &rangestart, const octet_iterator &rangeend)
octet_iterator | base () const
uint32_t | operator* () const
bool | operator== (const iterator &rhs) const
bool | operator!= (const iterator &rhs) const
iterator & | operator++ ()
iterator | operator++ (int)
iterator & | operator-- ()
iterator | operator-- (int)

## Member Typedef Documentation

## ◆ difference_type

template<typename octet_iterator>

typedef std::ptrdiff_t utf8::iterator< octet_iterator >::difference_type

## ◆ iterator_category

template<typename octet_iterator>

typedef std::bidirectional_iterator_tag utf8::iterator< octet_iterator >::iterator_category

## ◆ pointer

template<typename octet_iterator>

typedef uint32_t* utf8::iterator< octet_iterator >::pointer

## ◆ reference

template<typename octet_iterator>

typedef uint32_t& utf8::iterator< octet_iterator >::reference

## ◆ value_type

template<typename octet_iterator>

typedef uint32_t utf8::iterator< octet_iterator >::value_type

## Constructor & Destructor Documentation

## ◆ iterator() [1/2]

template<typename octet_iterator>

utf8::iterator< octet_iterator >::iterator | ( |  | ) |
| inline

## ◆ iterator() [2/2]

template<typename octet_iterator>

utf8::iterator< octet_iterator >::iterator | ( | const octet_iterator< octet_iterator > & | octet_it,
|  | const octet_iterator< octet_iterator > & | rangestart,
|  | const octet_iterator< octet_iterator > & | rangeend )
| inlineexplicit

## Member Function Documentation

## ◆ base()

template<typename octet_iterator>

octet_iterator utf8::iterator< octet_iterator >::base | ( |  | ) | const
| inline

## ◆ operator!=()

template<typename octet_iterator>

bool utf8::iterator< octet_iterator >::operator!= | ( | const iterator< octet_iterator > & | rhs | ) | const
| inline

## ◆ operator*()

template<typename octet_iterator>

uint32_t utf8::iterator< octet_iterator >::operator* | ( |  | ) | const
| inline

## ◆ operator++() [1/2]

template<typename octet_iterator>

iterator & utf8::iterator< octet_iterator >::operator++ | ( |  | ) |
| inline

## ◆ operator++() [2/2]

template<typename octet_iterator>

iterator utf8::iterator< octet_iterator >::operator++ | ( | int |  | ) |
| inline

## ◆ operator--() [1/2]

template<typename octet_iterator>

iterator & utf8::iterator< octet_iterator >::operator-- | ( |  | ) |
| inline

## ◆ operator--() [2/2]

template<typename octet_iterator>

iterator utf8::iterator< octet_iterator >::operator-- | ( | int |  | ) |
| inline

## ◆ operator==()

template<typename octet_iterator>

bool utf8::iterator< octet_iterator >::operator== | ( | const iterator< octet_iterator > & | rhs | ) | const
| inline

The documentation for this class was generated from the following file:

- checked.h